Bug 1475812 - python-prompt_toolkit-2.0.3 is available
python-prompt_toolkit-2.0.3 is available
Status: NEW
Product: Fedora
Classification: Fedora
Component: python-prompt_toolkit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carl George
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 08:24 EDT by Upstream Release Monitoring
Modified: 2018-07-13 13:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 1.0.15 (#1475812) (1.21 KB, patch)
2017-07-27 08:24 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2017-07-27 08:24:23 EDT
Latest upstream release: 1.0.15
Current version/release in rawhide: 1.0.14-1.fc27
URL: https://github.com/jonathanslenders/python-prompt-toolkit

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8742/
Comment 1 Upstream Release Monitoring 2017-07-27 08:24:30 EDT
Created attachment 1305347 [details]
[patch] Update to 1.0.15 (#1475812)
Comment 2 Upstream Release Monitoring 2018-06-02 20:21:47 EDT
Latest upstream release: 2.0.1
Current version/release in rawhide: 1.0.14-5.fc29
URL: https://github.com/jonathanslenders/python-prompt-toolkit

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8742/
Comment 3 Upstream Release Monitoring 2018-06-03 20:21:41 EDT
Latest upstream release: 2.0.2
Current version/release in rawhide: 1.0.14-5.fc29
URL: https://github.com/jonathanslenders/python-prompt-toolkit

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8742/
Comment 4 Upstream Release Monitoring 2018-06-08 20:21:55 EDT
Latest upstream release: 2.0.3
Current version/release in rawhide: 1.0.14-5.fc29
URL: https://github.com/jonathanslenders/python-prompt-toolkit

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8742/
Comment 5 Anatoli Babenia 2018-06-28 10:16:27 EDT
So, how to update it?
Comment 6 Carl George 2018-06-28 11:10:33 EDT
> Version 2.0 includes a big refactoring of the internal architecture. This
> includes the merge of the CommandLineInterface and the Application object, a
> rewrite of how user controls are focused, a rewrite of how event loops work
> and the removal of the buffers dictionary. This introduces many backwards
> incompatible changes, but the result is a very nice and powerful architecture.

https://github.com/jonathanslenders/python-prompt-toolkit/blob/2.0.3/CHANGELOG#L29-L33

Based on that, it seems this would only be appropriate for Rawhide.
Comment 7 Carl George 2018-07-12 21:17:53 EDT
I updated all the branches to 1.0.15.  Next I'm going to look into renaming the package and subpackages from python{,2,3}-prompt_toolkit to python{,2,3}-prompt-toolkit.

> Package names SHOULD be in lower case and use dashes in preference to underscores.

https://fedoraproject.org/wiki/Packaging:Naming#General_Naming

At the same time, I'll update it to 2.x.x.
Comment 8 Anatoli Babenia 2018-07-13 13:33:08 EDT
Looking forward to it.

Note You need to log in before you can comment on or make changes to this bug.